Index: /code/trunk/data/gui/scripts/QuestGUI.lua
===================================================================
--- /code/trunk/data/gui/scripts/QuestGUI.lua	(revision 7455)
+++ /code/trunk/data/gui/scripts/QuestGUI.lua	(revision 7456)
@@ -39,9 +39,9 @@
     questWindow:setSize(CEGUI.UVector2(CEGUI.UDim(1, 0),CEGUI.UDim(1, 0)))
 
-    -- Iterate through all parent-quests.
-    local numParentQuests = orxonox.QuestManager:getInstance():getNumParentQuests(P.player)
+    -- Iterate through all root-quests.
+    local numRootQuests = orxonox.QuestManager:getInstance():getNumRootQuests(P.player)
     local i = 0
-    while i <= numParentQuests-1 do
-        local quest = orxonox.QuestManager:getInstance():getParentQuest(P.player, i)
+    while i <= numRootQuests-1 do
+        local quest = orxonox.QuestManager:getInstance():getRootQuest(P.player, i)
         index = P.createQuestNodes(questWindow, quest, depth, index)
         i = i+1
Index: /code/trunk/src/modules/notifications/Notification.cc
===================================================================
--- /code/trunk/src/modules/notifications/Notification.cc	(revision 7455)
+++ /code/trunk/src/modules/notifications/Notification.cc	(revision 7456)
@@ -28,5 +28,5 @@
 
 /**
-    @file
+    @file Notification.cc
     @brief Implementation of the Notification class.
 */
Index: /code/trunk/src/modules/notifications/Notification.h
===================================================================
--- /code/trunk/src/modules/notifications/Notification.h	(revision 7455)
+++ /code/trunk/src/modules/notifications/Notification.h	(revision 7456)
@@ -28,6 +28,7 @@
 
 /**
-    @file
+    @file Notification.h
     @brief Definition of the Notification class.
+    @ingroup Notifications
 */
 
Index: /code/trunk/src/modules/notifications/NotificationDispatcher.cc
===================================================================
--- /code/trunk/src/modules/notifications/NotificationDispatcher.cc	(revision 7455)
+++ /code/trunk/src/modules/notifications/NotificationDispatcher.cc	(revision 7456)
@@ -28,5 +28,5 @@
 
 /**
-    @file
+    @file NotificationDispatcher.cc
     @brief Implementation of the NotificationDispatcher class.
 */
Index: /code/trunk/src/modules/notifications/NotificationDispatcher.h
===================================================================
--- /code/trunk/src/modules/notifications/NotificationDispatcher.h	(revision 7455)
+++ /code/trunk/src/modules/notifications/NotificationDispatcher.h	(revision 7456)
@@ -28,6 +28,7 @@
 
 /**
-    @file
+    @file NotificationDispatcher.h
     @brief Definition of the NotificationDispatcher class.
+    @ingroup Notifications
 */
 
Index: /code/trunk/src/modules/notifications/NotificationManager.h
===================================================================
--- /code/trunk/src/modules/notifications/NotificationManager.h	(revision 7455)
+++ /code/trunk/src/modules/notifications/NotificationManager.h	(revision 7456)
@@ -30,4 +30,5 @@
     @file NotificationManager.h
     @brief Definition of the NotificationManager class.
+    @ingroup Notifications
 */
 
Index: /code/trunk/src/modules/notifications/NotificationQueue.h
===================================================================
--- /code/trunk/src/modules/notifications/NotificationQueue.h	(revision 7455)
+++ /code/trunk/src/modules/notifications/NotificationQueue.h	(revision 7456)
@@ -30,4 +30,5 @@
     @file NotificationQueue.h
     @brief Definition of the NotificationQueue class.
+    @ingroup Notifications
 */
 
Index: /code/trunk/src/modules/notifications/dispatchers/CommandNotification.cc
===================================================================
--- /code/trunk/src/modules/notifications/dispatchers/CommandNotification.cc	(revision 7455)
+++ /code/trunk/src/modules/notifications/dispatchers/CommandNotification.cc	(revision 7456)
@@ -28,5 +28,5 @@
 
 /**
-    @file
+    @file CommandNotification.cc
     @brief Implementation of the CommandNotification class.
 */
Index: /code/trunk/src/modules/notifications/dispatchers/CommandNotification.h
===================================================================
--- /code/trunk/src/modules/notifications/dispatchers/CommandNotification.h	(revision 7455)
+++ /code/trunk/src/modules/notifications/dispatchers/CommandNotification.h	(revision 7456)
@@ -28,6 +28,7 @@
 
 /**
-    @file
+    @file CommandNotification.h
     @brief Definition of the CommandNotification class.
+    @ingroup NotificationDispatchers
 */
 
Index: /code/trunk/src/modules/notifications/dispatchers/SimpleNotification.cc
===================================================================
--- /code/trunk/src/modules/notifications/dispatchers/SimpleNotification.cc	(revision 7455)
+++ /code/trunk/src/modules/notifications/dispatchers/SimpleNotification.cc	(revision 7456)
@@ -26,4 +26,9 @@
  *
  */
+
+/**
+    @file SimpleNotification.cc
+    @brief Implementation of the SimpleNotification class.
+*/
 
 #include "SimpleNotification.h"
Index: /code/trunk/src/modules/notifications/dispatchers/SimpleNotification.h
===================================================================
--- /code/trunk/src/modules/notifications/dispatchers/SimpleNotification.h	(revision 7455)
+++ /code/trunk/src/modules/notifications/dispatchers/SimpleNotification.h	(revision 7456)
@@ -26,4 +26,10 @@
  *
  */
+
+/**
+    @file SimpleNotification.h
+    @brief Declaration of the SimpleNotification class.
+    @ingroup NotificationDispatchers
+*/
 
 #ifndef _SimpleNotification_H__
Index: /code/trunk/src/modules/pickup/CollectiblePickup.h
===================================================================
--- /code/trunk/src/modules/pickup/CollectiblePickup.h	(revision 7455)
+++ /code/trunk/src/modules/pickup/CollectiblePickup.h	(revision 7456)
@@ -30,4 +30,5 @@
     @file CollectiblePickup.h
     @brief Definition of the CollectiblePickup class.
+    @ingroup Pickup
 */
 
Index: /code/trunk/src/modules/pickup/DroppedPickup.h
===================================================================
--- /code/trunk/src/modules/pickup/DroppedPickup.h	(revision 7455)
+++ /code/trunk/src/modules/pickup/DroppedPickup.h	(revision 7456)
@@ -30,4 +30,5 @@
     @file DroppedPickup.h
     @brief Definition of the DroppedPickup class.
+    @ingroup Pickup
 */
 
Index: /code/trunk/src/modules/pickup/Pickup.h
===================================================================
--- /code/trunk/src/modules/pickup/Pickup.h	(revision 7455)
+++ /code/trunk/src/modules/pickup/Pickup.h	(revision 7456)
@@ -30,4 +30,5 @@
     @file Pickup.h
     @brief Declaration of the Pickup class.
+    @ingroup Pickup
 */
 
Index: /code/trunk/src/modules/pickup/PickupCollection.h
===================================================================
--- /code/trunk/src/modules/pickup/PickupCollection.h	(revision 7455)
+++ /code/trunk/src/modules/pickup/PickupCollection.h	(revision 7456)
@@ -30,4 +30,5 @@
     @file PickupCollection.h
     @brief Declaration of PickupCollection.
+    @ingroup Pickup
 */
 
Index: /code/trunk/src/modules/pickup/PickupCollectionIdentifier.h
===================================================================
--- /code/trunk/src/modules/pickup/PickupCollectionIdentifier.h	(revision 7455)
+++ /code/trunk/src/modules/pickup/PickupCollectionIdentifier.h	(revision 7456)
@@ -30,4 +30,5 @@
     @file PickupCollectionIdentifier.h
     @brief Declaration of PickupCollectionIdentifier.
+    @ingroup Pickup
 */
 
Index: /code/trunk/src/modules/pickup/PickupManager.h
===================================================================
--- /code/trunk/src/modules/pickup/PickupManager.h	(revision 7455)
+++ /code/trunk/src/modules/pickup/PickupManager.h	(revision 7456)
@@ -30,4 +30,5 @@
     @file PickupManager.h
     @brief Definition of the PickupManager class.
+    @ingroup Pickup
 */
 
Index: /code/trunk/src/modules/pickup/PickupRepresentation.h
===================================================================
--- /code/trunk/src/modules/pickup/PickupRepresentation.h	(revision 7455)
+++ /code/trunk/src/modules/pickup/PickupRepresentation.h	(revision 7456)
@@ -30,4 +30,5 @@
     @file PickupRepresentation.h
     @brief Definition of the PickupRepresentation class.
+    @ingroup Pickup
 */
 
Index: /code/trunk/src/modules/pickup/PickupSpawner.h
===================================================================
--- /code/trunk/src/modules/pickup/PickupSpawner.h	(revision 7455)
+++ /code/trunk/src/modules/pickup/PickupSpawner.h	(revision 7456)
@@ -30,4 +30,5 @@
     @file PickupSpawner.h
     @brief Definition of the PickupSpawner class.
+    @ingroup Pickup
 */
 
Index: /code/trunk/src/modules/pickup/items/DronePickup.h
===================================================================
--- /code/trunk/src/modules/pickup/items/DronePickup.h	(revision 7455)
+++ /code/trunk/src/modules/pickup/items/DronePickup.h	(revision 7456)
@@ -30,4 +30,5 @@
     @file DronePickup.h
     @brief Declaration of the DronePickup class.
+    @ingroup PickupItems
 */
 
Index: /code/trunk/src/modules/pickup/items/HealthPickup.h
===================================================================
--- /code/trunk/src/modules/pickup/items/HealthPickup.h	(revision 7455)
+++ /code/trunk/src/modules/pickup/items/HealthPickup.h	(revision 7456)
@@ -30,4 +30,5 @@
     @file HealthPickup.h
     @brief Declaration of the HealthPickup class.
+    @ingroup PickupItems
 */
 
Index: /code/trunk/src/modules/pickup/items/InvisiblePickup.h
===================================================================
--- /code/trunk/src/modules/pickup/items/InvisiblePickup.h	(revision 7455)
+++ /code/trunk/src/modules/pickup/items/InvisiblePickup.h	(revision 7456)
@@ -30,4 +30,5 @@
     @file InvisiblePickup.h
     @brief Declaration of the InvisiblePickup class.
+    @ingroup PickupItems
 */
 
Index: /code/trunk/src/modules/pickup/items/MetaPickup.h
===================================================================
--- /code/trunk/src/modules/pickup/items/MetaPickup.h	(revision 7455)
+++ /code/trunk/src/modules/pickup/items/MetaPickup.h	(revision 7456)
@@ -30,4 +30,5 @@
     @file MetaPickup.h
     @brief Definition of the MetaPickup class.
+    @ingroup PickupItems
 */
 
Index: /code/trunk/src/modules/pickup/items/ShieldPickup.h
===================================================================
--- /code/trunk/src/modules/pickup/items/ShieldPickup.h	(revision 7455)
+++ /code/trunk/src/modules/pickup/items/ShieldPickup.h	(revision 7456)
@@ -31,4 +31,5 @@
     @file ShieldPickup.h
     @brief Declaration of the ShieldPickup class.
+    @ingroup PickupItems
 */
 
Index: /code/trunk/src/modules/pickup/items/SpeedPickup.h
===================================================================
--- /code/trunk/src/modules/pickup/items/SpeedPickup.h	(revision 7455)
+++ /code/trunk/src/modules/pickup/items/SpeedPickup.h	(revision 7456)
@@ -30,4 +30,5 @@
     @file SpeedPickup.h
     @brief Declaration of the SpeedPickup class.
+    @ingroup PickupItems
 */
 
Index: /code/trunk/src/modules/questsystem/GlobalQuest.cc
===================================================================
--- /code/trunk/src/modules/questsystem/GlobalQuest.cc	(revision 7455)
+++ /code/trunk/src/modules/questsystem/GlobalQuest.cc	(revision 7456)
@@ -28,5 +28,5 @@
 
 /**
-    @file
+    @file GlobalQuest.cc
     @brief Implementation of the GlobalQuest class.
 */
@@ -36,4 +36,5 @@
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
+
 #include "QuestEffect.h"
 
@@ -84,5 +85,5 @@
     bool GlobalQuest::fail(PlayerInfo* player)
     {
-        if(!this->isFailable(player)) //!< Check whether the Quest can be failed.
+        if(!this->isFailable(player)) // Check whether the Quest can be failed.
         {
             COUT(4) << "A non-completable quest was trying to be failed." << std::endl;
@@ -92,11 +93,9 @@
         Quest::fail(player);
 
-    //! Iterate through all players possessing this Quest.
-    for(std::set<PlayerInfo*>::const_iterator it = players_.begin(); it != players_.end(); it++)
-    {
-        QuestEffect::invokeEffects(*it, this->getFailEffectList());
-    }
-
-    return true;
+        // Iterate through all players possessing this Quest.
+        for(std::set<PlayerInfo*>::const_iterator it = players_.begin(); it != players_.end(); it++)
+            QuestEffect::invokeEffects(*it, this->getFailEffectList());
+
+        return true;
     }
 
@@ -113,5 +112,5 @@
     bool GlobalQuest::complete(PlayerInfo* player)
     {
-        if(!this->isCompletable(player)) //!< Check whether the Quest can be completed.
+        if(!this->isCompletable(player)) // Check whether the Quest can be completed.
         {
             COUT(4) << "A non-completable quest was trying to be completed." << std::endl;
@@ -119,13 +118,11 @@
         }
 
-        //! Iterate through all players possessing the Quest.
+        // Iterate through all players possessing the Quest.
         for(std::set<PlayerInfo*>::const_iterator it = players_.begin(); it != players_.end(); it++)
-        {
             QuestEffect::invokeEffects(*it, this->getCompleteEffectList());
-        }
 
         Quest::complete(player);
 
-        QuestEffect::invokeEffects(player, this->rewards_); //!< Invoke reward QuestEffects on the player completing the Quest.
+        QuestEffect::invokeEffects(player, this->rewards_); // Invoke reward QuestEffects on the player completing the Quest.
         return true;
     }
@@ -144,7 +141,6 @@
     {
         if(!(this->getParentQuest() == NULL || this->getParentQuest()->isActive(player)))
-        {
-            return false;
-        }
+            return false;
+
         return (this->isInactive(player) && !(this->status_ == QuestStatus::Completed || this->status_ == QuestStatus::Failed));
     }
@@ -191,15 +187,12 @@
     QuestStatus::Value GlobalQuest::getStatus(const PlayerInfo* player) const
     {
-        if(player == NULL) //!< We don't want NULL-Pointers!
-        {
+        //TODO: Replace with assert.
+        if(player == NULL) // We don't want NULL-Pointers!
             ThrowException(Argument, "The input PlayerInfo* is NULL.");
-        }
-
-        //! Find the player.
+
+        // Find the player.
         std::set<PlayerInfo*>::const_iterator it = this->players_.find((PlayerInfo*)(void*)player);
-        if (it != this->players_.end()) //!< If the player was found.
-        {
+        if (it != this->players_.end()) // If the player was found.
             return this->status_;
-        }
 
         return QuestStatus::Inactive;
@@ -219,17 +212,14 @@
     bool GlobalQuest::setStatus(PlayerInfo* player, const QuestStatus::Value & status)
     {
-        if(player == NULL) //!< We don't want NULL-Pointers!
-        {
-            return false;
-        }
-
-        //! Find the player.
+        //TODO: Replace with assert.
+        if(player == NULL) // We don't want NULL-Pointers!
+            return false;
+
+        // Find the player.
         std::set<PlayerInfo*>::const_iterator it = this->players_.find(player);
-        if (it == this->players_.end()) //!< Player is not yet in the list.
-        {
-            this->players_.insert(player); //!< Add the player to the set.
-        }
-
-        this->status_ = status; //!< Set the status, which is global, remember...?
+        if (it == this->players_.end()) // Player is not yet in the list.
+            this->players_.insert(player); // Add the player to the set.
+
+        this->status_ = status; // Set the status, which is global, remember...?
         return true;
     }
@@ -245,5 +235,6 @@
     bool GlobalQuest::addRewardEffect(QuestEffect* effect)
     {
-        if(effect == NULL) //!< We don't want NULL-Pointers!
+        //TODO: Replace with assert?
+        if(effect == NULL) // We don't want NULL-Pointers!
         {
             COUT(2) << "The reward effect to be added to quest {" << this->getId() << "} was NULL." << std::endl;
@@ -251,5 +242,5 @@
         }
 
-        this->rewards_.push_back(effect); //!< Add the QuestEffect to the list.
+        this->rewards_.push_back(effect); // Add the QuestEffect to the list.
 
         COUT(4) << "Reward effect was added to Quest {" << this->getId() << "}." << std::endl;
@@ -271,7 +262,6 @@
         {
             if(i == 0)
-            {
                return *effect;
-            }
+
             i--;
         }
@@ -279,4 +269,3 @@
     }
 
-
 }
Index: /code/trunk/src/modules/questsystem/GlobalQuest.h
===================================================================
--- /code/trunk/src/modules/questsystem/GlobalQuest.h	(revision 7455)
+++ /code/trunk/src/modules/questsystem/GlobalQuest.h	(revision 7456)
@@ -28,6 +28,7 @@
 
 /**
-    @file
+    @file GlobalQuest.h
     @brief Definition of the GlobalQuest class.
+    @ingroup Questsystem
 */
 
@@ -45,9 +46,8 @@
     /**
     @brief
-        GlobalQuests are Quests, that have the same status for all players.
+        GlobalQuests are @ref orxonox::Quest "Quests", that have the same status for all players.
         This means, that when a player successfully completes a GlobalQuest, it is completed for all players that have it.
 
         Creating a GlobalQuest through XML goes as follows:
-
         @code
         <GlobalQuest id="questId">
Index: /code/trunk/src/modules/questsystem/LocalQuest.cc
===================================================================
--- /code/trunk/src/modules/questsystem/LocalQuest.cc	(revision 7455)
+++ /code/trunk/src/modules/questsystem/LocalQuest.cc	(revision 7456)
@@ -28,5 +28,5 @@
 
 /**
-    @file
+    @file LocalQuest.cc
     @brief Implementation of the LocalQuest class.
 */
@@ -36,4 +36,5 @@
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
+
 #include "QuestEffect.h"
 
@@ -82,5 +83,5 @@
     bool LocalQuest::fail(PlayerInfo* player)
     {
-        if(!this->isFailable(player)) //!< Checks whether the quest can be failed.
+        if(!this->isFailable(player)) // Checks whether the quest can be failed.
         {
             COUT(4) << "A non-failable quest was trying to be failed." << std::endl;
@@ -90,5 +91,5 @@
         Quest::fail(player);
 
-        QuestEffect::invokeEffects(player, this->getFailEffectList()); //!< Invoke the failEffects.
+        QuestEffect::invokeEffects(player, this->getFailEffectList()); // Invoke the failEffects.
         return true;
     }
@@ -105,5 +106,5 @@
     bool LocalQuest::complete(PlayerInfo* player)
     {
-        if(!this->isCompletable(player)) //!< Checks whether the Quest can be completed.
+        if(!this->isCompletable(player)) // Checks whether the Quest can be completed.
         {
             COUT(4) << "A non-completable quest was trying to be completed." << std::endl;
@@ -113,5 +114,5 @@
         Quest::complete(player);
 
-        QuestEffect::invokeEffects(player, this->getCompleteEffectList()); //!< Invoke the complete QuestEffects.
+        QuestEffect::invokeEffects(player, this->getCompleteEffectList()); // Invoke the complete QuestEffects.
         return true;
     }
@@ -130,7 +131,6 @@
     {
         if(!(this->getParentQuest() == NULL || this->getParentQuest()->isActive(player)))
-        {
-            return false;
-        }
+            return false;
+
         return this->isInactive(player);
     }
@@ -178,16 +178,13 @@
     QuestStatus::Value LocalQuest::getStatus(const PlayerInfo* player) const
     {
-        if(player == NULL) //!< No player has no defined status.
-        {
+        //TODO: Replace with assert.
+        if(player == NULL) // No player has no defined status.
             ThrowException(Argument, "The input PlayerInfo* is NULL.");
-        }
 
         std::map<const PlayerInfo*, QuestStatus::Value>::const_iterator it = this->playerStatus_.find(player);
-        if (it != this->playerStatus_.end()) //!< If there is a player in the map.
-        {
+        if (it != this->playerStatus_.end()) // If there is a player in the map.
             return it->second;
-        }
-
-        return QuestStatus::Inactive; //!< If the player is not yet in the map, that means the status of the quest form him is 'inactive'.
+
+        return QuestStatus::Inactive; // If the player is not yet in the map, that means the status of the quest form him is 'inactive'.
     }
 
@@ -205,8 +202,7 @@
     bool LocalQuest::setStatus(PlayerInfo* player, const QuestStatus::Value & status)
     {
-        if(player == NULL) //!< We can't set a status for no player.
-        {
-            return false;
-        }
+        //TODO: Replace with assert.
+        if(player == NULL) // We can't set a status for no player.
+            return false;
 
         this->playerStatus_[player] = status;
Index: /code/trunk/src/modules/questsystem/LocalQuest.h
===================================================================
--- /code/trunk/src/modules/questsystem/LocalQuest.h	(revision 7455)
+++ /code/trunk/src/modules/questsystem/LocalQuest.h	(revision 7456)
@@ -28,6 +28,7 @@
 
 /**
-    @file
+    @file LocalQuest.h
     @brief Definition of the LocalQuest class.
+    @ingroup Questsystem
 */
 
@@ -44,9 +45,8 @@
     /**
     @brief
-        Handles Quests which have different states for different players.
-        LocalQuests have (as opposed to GlobalQuests) a different state for each player, that means if for one player the status of the Quest changes it does not for all the other players which also possess this quest.
+        Handles @ref orxonox::Quest "Quests" which have different states for different players.
+        LocalQuests have (as opposed to @ref orxonox::GlobalQuest "GlobalQuests") a different state for each player, that means if for one player the status of the @ref orxonox::Quest "Quest" changes it does not for all the other players which also possess this quest.
 
         Creating a LocalQuest through XML goes as follows:
-
         @code
         <LocalQuest id="questId">
